### Method

# GIRepository EnumInfo get_storage_type

since: 2.80

#### Declaration

    GITypeTag
    gi_enum_info_get_storage_type (
      GIEnumInfo* info
    )

#### Description

Obtain the tag of the type used for the enum in the C ABI. This will will be a signed or unsigned integral type.

Note that in the current implementation the width of the type is computed correctly, but the signed or unsigned nature of the type may not match the sign of the type used by the C compiler.

Available since: 2.80

#### Return value

Type: `GITypeTag`

The storage type for the enumeration.